summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xdoc/pick.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/doc/pick.sh b/doc/pick.sh
new file mode 100755
index 00000000..fb9da83b
--- /dev/null
+++ b/doc/pick.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# I work on a branch (named hut) which contains commits
+# that should not be part of the standard distribution.
+#
+# This script picks all the good commits from hut and
+# adds them to the master branch.
+# Bad commits are marked with a "custom:" at the beginning
+# of the commit message.
+
+BRANCH=`git branch 2>/dev/null|grep -e ^* | tr -d \*\ `
+
+git checkout master
+
+while read -r hash tag rest; do
+	if [ $tag != 'custom:' ]; then
+		git cherry-pick $hash || exit 1
+	fi
+done < <(git log --oneline --no-color master..hut)
+
+git checkout hut
+git rebase master
+
+git checkout $BRANCH
n112' href='#n112'>112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158